maemo.org - Talk

maemo.org - Talk (https://talk.maemo.org/index.php)
-   Alternatives (https://talk.maemo.org/forumdisplay.php?f=36)
-   -   [Debian] Continuing development of Debian on NITs (https://talk.maemo.org/showthread.php?t=21009)

fatalsaint 2008-07-31 15:00

Re: Continuing development of Debian on NITs
 
Well they were both bootable debian's that run on the tablets..

The point is the guy who seemingly put out beta3 is one of the guys working on nit-debian.. which logic would then seem that if he was able to get sound working in beta3.. even if you start from scratch.. the same thing should work to get sound working in the next release, no?

Where the did the initial image in the beta series come from?? it had to start from scratch at some level did it not?

And when you move from beta-x to beta-x+1 .. a "cleanup effort/future proof solution" is typically what it's about :).. you always cleanup previous beta problems while fixing the flaws.

The reason I call it beta4 is that both the beta series and the nit-series have the same guy working on it.. even though the nit-series has a few more people on the project; and a lot more enhancements since beta3.

b-man 2008-08-01 01:23

Re: Continuing development of Debian on NITs
 
Hello, i know that this is a bit off-topic but today i was able to successfuly install GNOME:D:D:D!!!, BUT when i booted debian up it went into a login screen (not a boot login) but the gnome login screen and i've discoverd a FATAL PROBLEM!!:(:(, I am using a N800 so i have NO way to actually log in since i have no keyboard.:(.....Nooooooooooooooo!!!!!!!!!!!, Ahhhhhhhhhhhhhhhhhh!!!!!!!!!:eek::eek::eek::eek: and what's even worse is that even though my touchscreen is responding, the kursor on the screen will NOT move, my guess is that this is because when i installed gnome, i believe that it installed a nother x-server?? I installed this on a "nit-evn-x" install. Is it possible that i could create some kind of hack that could fix theas problems???, I am sorry for being so frantic about this, it's just the fact that this install took 8 HOURS to download and install.


EDIT: I also wanted to add that i used "apt-get -f install gnome" not "apt-get -f install gnome-desktop-environment".

fatalsaint 2008-08-01 05:03

Re: Continuing development of Debian on NITs
 
haha! good job man.

Stskeeps 2008-08-01 06:44

Re: Continuing development of Debian on NITs
 
Quote:

Originally Posted by b-man (Post 209210)
Ahhhhhhhhhhhhhhhhhh!!!!!!!!!:eek::eek::eek::eek: and what's even worse is that even though my touchscreen is responding, the kursor on the screen will NOT move, my guess is that this is because when i installed gnome, i believe that it installed a nother x-server??

Well, what happened is that gnome installed gdm which is a display manager (http://en.wikipedia.org/wiki/X_display_manager) , not a X server. That display manager runs /usr/bin/X without parameters which means that it won't be having touchscreen things added to the command parameter :)

I'd personally just ssh into the tablet and apt-get remove gdm, or configure it to act like /etc/init.d/x-session and provide the right parameters :)

b-man 2008-08-01 21:32

Re: Continuing development of Debian on NITs
 
Thanks, I've decided to edit gdm instead of uninstalling it but i am not quite shure on how to edit the file, can you help?? Here's my x-sessions file and my gdm file:

X-SESSIONS:

#!/bin/sh
. /etc/default/x-server.defs

tablet_setup()
{
USERNAME=`cat /etc/tablet_user`
/sbin/fb_update_mode manual
su - -c "startx -- $XSERVERARGS" $USERNAME &
}

case "$1" in
start|restart|force-reload)
tablet_setup
;;
stop)
;;
*)
echo "Usage: /etc/init.d/start-x-session {start|stop|restart|force-reload}" >&2
exit 3
;;
esac



GMD:

#! /bin/sh
### BEGIN INIT INFO
# Provides: gdm
# Should-Start: console-screen acpid dbus hal network-manager
# Required-Start: $local_fs $remote_fs
# Required-Stop: $local_fs $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: GNOME Display Manager
# Description: Debian init script for the GNOME Display Manager
### END INIT INFO
#
# Author: Ryan Murray <rmurray@debian.org>
#
set -e

PATH=/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/gdm

test -x $DAEMON || exit 0

if [ -r /etc/default/locale ]; then
. /etc/default/locale
export LANG LANGUAGE
fi

. /lib/lsb/init-functions

# To start gdm even if it is not the default display manager, change
# HEED_DEFAULT_DISPLAY_MANAGER to "false."
HEED_DEFAULT_DISPLAY_MANAGER=true
DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager

case "$1" in
start)
CONFIGURED_DAEMON=$(basename "$(cat $DEFAULT_DISPLAY_MANAGER_FILE 2> /dev/null)")
if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ] && \
[ "$HEED_DEFAULT_DISPLAY_MANAGER" = "true" ] && \
[ "$CONFIGURED_DAEMON" != gdm ] ; then
log_action_msg "Not starting GNOME Display Manager; it is not the default display manager"
else
log_daemon_msg "Starting GNOME Display Manager" "gdm"
start_daemon $DAEMON
log_end_msg $?
fi
;;
stop)
log_daemon_msg "Stopping GNOME Display Manager" "gdm"
set +e
start-stop-daemon --stop --quiet --pidfile /var/run/gdm.pid \
--name gdm --retry 5
set -e
log_end_msg $?
;;
reload)
log_daemon_msg "Scheduling reload of GNOME Display Manager configuration" "gdm"
set +e
start-stop-daemon --stop --signal USR1 --quiet --pidfile \
/var/run/gdm.pid --name gdm
set -e
log_end_msg $?
;;
restart|force-reload)
$0 stop
$0 start
;;
*)
echo "Usage: /etc/init.d/gdm {start|stop|restart|reload|force-reload}"
exit 1
;;
esac

exit 0


also, is there a way to make the matchbox-keyboard launch at startup so i can log in?? I have a N800 so that may be the only way to actually gain acsess to gnome :(

fatalsaint 2008-08-01 21:45

Re: Continuing development of Debian on NITs
 
If I had to take a stab in the dark...

original
Code:

start)
CONFIGURED_DAEMON=$(basename "$(cat $DEFAULT_DISPLAY_MANAGER_FILE 2> /dev/null)")
if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ] && \
[ "$HEED_DEFAULT_DISPLAY_MANAGER" = "true" ] && \
[ "$CONFIGURED_DAEMON" != gdm ] ; then
log_action_msg "Not starting GNOME Display Manager; it is not the default display manager"
else
log_daemon_msg "Starting GNOME Display Manager" "gdm"
start_daemon $DAEMON
log_end_msg $?
fi
;;

New

Code:

start)
CONFIGURED_DAEMON=$(basename "$(cat $DEFAULT_DISPLAY_MANAGER_FILE 2> /dev/null)")
if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ] && \
[ "$HEED_DEFAULT_DISPLAY_MANAGER" = "true" ] && \
[ "$CONFIGURED_DAEMON" != gdm ] ; then
log_action_msg "Not starting GNOME Display Manager; it is not the default display manager"
else
log_daemon_msg "Starting GNOME Display Manager" "gdm"

#USERNAME=`cat /etc/tablet_user`
XSERVERARGS="-mouse tslib -nozap -dpi 96 -wr -nolisten tcp"
start_daemon $DAEMON $XSERVERARGS

log_end_msg $?
fi
;;

Although I'm not exactly sure about the USERNAME spot.. in the x-session it uses a su - and uses the username to run it as.. with GDM I don't think you need to.. so I just added the XSERVERARGS you need from the /etc/default/x-session.defs file.

fatalsaint 2008-08-01 21:59

Re: Continuing development of Debian on NITs
 
an update on me... i installed the latest deb for chroot... added xpice to debian.. changed the /sbin/debian .. all i had to do was comment out the home drive mount, the passwd and group copies, and modify my /home/user/.chroot to reflect my environment..

it worked. internet worked, going to test sound...

biggest issue right now is n810 keyboard function keys didnt load obviously... and launching mine causes the reverse behavior i explain in my xmodmap thread. not sure i want to copy the x files i had to in my thread... not sure what that'll do to the bootable side.

(obviously had to install wmctrl and xserver-xephyr in debian.)

b-man 2008-08-02 00:20

Re: Continuing development of Debian on NITs
 
Quote:

Originally Posted by fatalsaint (Post 209420)
If I had to take a stab in the dark...

original
Code:

start)
CONFIGURED_DAEMON=$(basename "$(cat $DEFAULT_DISPLAY_MANAGER_FILE 2> /dev/null)")
if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ] && \
[ "$HEED_DEFAULT_DISPLAY_MANAGER" = "true" ] && \
[ "$CONFIGURED_DAEMON" != gdm ] ; then
log_action_msg "Not starting GNOME Display Manager; it is not the default display manager"
else
log_daemon_msg "Starting GNOME Display Manager" "gdm"
start_daemon $DAEMON
log_end_msg $?
fi
;;

New

Code:

start)
CONFIGURED_DAEMON=$(basename "$(cat $DEFAULT_DISPLAY_MANAGER_FILE 2> /dev/null)")
if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE" ] && \
[ "$HEED_DEFAULT_DISPLAY_MANAGER" = "true" ] && \
[ "$CONFIGURED_DAEMON" != gdm ] ; then
log_action_msg "Not starting GNOME Display Manager; it is not the default display manager"
else
log_daemon_msg "Starting GNOME Display Manager" "gdm"

#USERNAME=`cat /etc/tablet_user`
XSERVERARGS="-mouse tslib -nozap -dpi 96 -wr -nolisten tcp"
start_daemon $DAEMON $XSERVERARGS

log_end_msg $?
fi
;;

Although I'm not exactly sure about the USERNAME spot.. in the x-session it uses a su - and uses the username to run it as.. with GDM I don't think you need to.. so I just added the XSERVERARGS you need from the /etc/default/x-session.defs file.

I shure hope this works:o, this is the second day in a row that i had to spend getting Debian and Gnome installed properly. The second biggest problem that i've incounterd is that i have no way to actually log in to gnome. I really need a way to eather bypass the login alltogether or possibly figure out a way to launch the vertual keyboard in the login so i can enter my user name. Is there enny known method to accomplish this?

fatalsaint 2008-08-02 00:44

Re: Continuing development of Debian on NITs
 
1 Attachment(s)
Try the command line stuff here..

http://www.linfo.org/automatic_login.html

gdmsetup from an ssh terminal.....

and im attaching a screen shot of my debian just cuz i want to :P -- this is running from chroot.

b-man 2008-08-02 02:40

Re: Continuing development of Debian on NITs
 
Thanks!:D, I was reading that article you provided and it said that you still needed to type some stuff in still. Is it possible to just hack the gdm script to also execute the matchbox-keyboard?
Such as "exec /usr/bin/matchbox-keyboard", if so, ware shuld this be located in the script?, I am so, so close to getting gnome to function properly and i am probibly going to be one of the first people to get a complete gnome desktop and that's exciting! :D

EDIT: also wanted to add that i tryed the "gdmsetup" command and that did not work:(.


All times are GMT. The time now is 17:13.

vBulletin® Version 3.8.8